Summary: Symlinks for Qt Tool Kit libraries
Name: qt5-symlinks
Version: 5.15.16
Release: 1%{?_dist_release}

License: distributable
Group: System Environment/Libraries
Requires: qt5 = %{version}
Requires: harfbuzz pcre pcre2

BuildArch: fat
Provides: libQt5Core.dylib
Provides: libQt5Gui.dylib

%description
Provides symlinks of framework libs QtCore and QtGui to libQt5Core.dylib
and libQt5Gui.dylib, respectively for ilcsoft.


%prep
%setup -T -c %{name}


%build
ln -s qt5/lib/QtCore.framework/QtCore libQt5Core.dylib
ln -s qt5/lib/QtGui.framework/QtGui   libQt5Gui.dylib


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_libdir}
cp -a lib*.dylib $RPM_BUILD_ROOT%{_libdir}


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,wheel)
%{_libdir}/lib*.dylib


%changelog
* Wed Dec 25 2024 Keisuke Fujii <keisuke.fujii@kek.jp> 5.15.16-1osx14
- 1st release on MacOS 14 for qt5-5.15.16
- built with OSXWS 14

* Sun Nov 19 2023 Keisuke Fujii <keisuke.fujii@kek.jp> 5.15.11-13hepx1a
- 1st release on MacOS 13 for qt5-5.15.11
- built with OSXWS 13

* Sun Nov 19 2023 Keisuke Fujii <keisuke.fujii@kek.jp> 5.15.2-13hepx1a
- 1st release on MacOS 13 for qt5-5.15.2
- built with OSXWS 13
